umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
UMLRolePropertiesBase Class Reference

`#include <umlroleproperties.h>`

Inheritance diagram for UMLRolePropertiesBase:

## Public Member Functions
| UMLRolePropertiesBase (QWidget *parent)
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Additional Inherited Members
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Constructor & Destructor Documentation

## ◆ UMLRolePropertiesBase()

UMLRolePropertiesBase::UMLRolePropertiesBase | ( | QWidget * | parent | ) |
| inline explicit

The documentation for this class was generated from the following file:

- umbrello/dialogs/pages/umlroleproperties.h